package com.iamberry.wechat.service.admin.dao;
import java.util.List;

import com.iamberry.wechat.core.entity.admin.AdminChildHavePermission;

public interface AdminPermissionsDAO {
	/**
	 * 根据二级管理ID，获取此二级管理员所有的权限
	 * @param id
	 * @return
	 */
	public List<AdminChildHavePermission> selectPermissionById(Integer id);
	
	/**
	 * 根据二级管理ID，获取此二级管理员所有的权限
	 * @param id
	 * @return
	 */
	public Integer insertPermissionById(AdminChildHavePermission adminChildHavePermission);
	
	/**
	 * 根据二级管理ID，删除所有二级权限
	 * @param id
	 * @return
	 */
	public Integer deletePermissionById(Integer adminChildId);
	
}
